import { ScenarioProfileConfig } from '../profile';
import { ProcessedScenarios } from '../process';
import { FunctionalAnalysis } from './functional';
export interface Analysis {
    numTicks: number;
}
export interface RegressionAnalysis extends FunctionalAnalysis {
    regressionFile?: string;
}
export interface ScenarioAnalysis extends Analysis {
    baseline?: Analysis;
    regression?: RegressionAnalysis;
}
export interface ScenarioAnalyses {
    [scenarioName: string]: ScenarioAnalysis | undefined;
}
export declare function analyze(processedScenarios: ProcessedScenarios, config: ScenarioProfileConfig): ScenarioAnalyses;
//# sourceMappingURL=analyze.d.ts.map